---
updatedAt: 2026-06-18T21:49:25.000Z
---

# Retrieve Snapshots

You can retrieve report and entity snapshots by providing snapshot id and advertiser id for an advertiser.

> 📘 URL: GET /api/v1/snapshot

**Note**:<ul><li>The output is generated in a gzip file</li><li>The file type in gzip can be either JSON or CSV based upon the snapshot type requested. You can request the following type of snapshots:<ul><li>Entity Snapshot</li><li>Report Snapshot</li></ul></li><li>Each advertiser has a unique advertiser ID for Onsite & Offsite display</li><li>To download reports and entity snapshots for Onsite and Offsite display ads separately, the appropriate advertiser ID must be provided in the API call</li></ul>\_

## Query Parameters

| Parameter    | Parameter 	Description | Type    | Required | Possible Values           |
| :----------- | :--------------------- | :------ | :------- | :------------------------ |
| advertiserId | ID of advertiser       | integer | Y        | Unique numeric identifier |
| snapshotId   | ID of snapshot         | string  | Y        | A valid snapshot ID       |

## Sample Request

```
curl -X GET\
'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/snapshot?advertiserId=600001&snapshotId=1' \
--header 'Authorization: Bearer <auth_token> \ 
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \ 
--header 'WM_CONSUMER.intimestamp: 1565309779' \ 
--header 'accept: application/json' \ 
```

## Response

| Element    | Description                                                                                                                                                                                                          | Type   |
| :--------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :----- |
| code       | The response code can have following values:<ul><li>success</li><li>failure</li></ul><br />Click [here](/advertising-partners/docs/api-status-codes-and-errors)   for more information about Status Codes and Errors | string |
| details    | URL of the snapshot file once jobStatus reaches to state “done”                                                                                                                                                      | string |
| snapshotId | ID of the snapshot to be retrieved                                                                                                                                                                                   | string |
| jobStatus  | It is an indicator to confirm status of snapshot generation  <br />The possible values of jobStatus are: `pending`, `processing`, `done`, `failed`, `expired`                                                        | string |

> 📘 ***Note***

1. *TTL (Time to Live) for files generated is one day*
2. *For added security, please pass below parameters in* [*https://advertising.walmart.com/display/file/{fileId}*](https://advertising.walmart.com/display/file/%7BfileId%7D)*call to download the files:*
   * *advertiserId – As a Query String parameter*
   * *Authorization – In the Request* *Header*
   * *WM\_CONSUMER.ID – In the Request Header*
   * *WM\_CONSUMER.intimestamp – In the Request Header*
   * *WM\_SEC.AUTH\_SIGNATURE – In the Request Header*
   * *WM\_SEC.KEY\_VERSION: – In the Request Header*

<br />